gextends layout.pug

block main
  div
    a(href="/") Back to latest recipes
    | &nbsp;|&nbsp;
    a(href="/recipes/" + recipeId + "/edit") Edit
  if error
    .uk-alert-danger(uk-alert)
      p= error
  else
    if recipe || recipeError
      if recipe
        h1.uk-heading-small= recipe.title
        .uk-text-meta Created on #{recipe.created}
        .uk-text-meta Updated on #{recipe.updated}
      else
        .uk-alert-danger(uk-alert)
          p= recipeError

      h2.uk-text-lead Ingredients
      if ingredientsError
        .uk-alert-danger(uk-alert)
          p= ingredientsError
      else if ingredients
        each ingredient in ingredients
          div
            span.ingredient-amount= ingredient.amount
            span.ingredient-amount-name= ingredient.name
            span.ingredient-food-stuff.uk-text-bold= ingredient.food_stuff

      h2.uk-text-lead Instructions
      if instructionsError
        .uk-alert-danger(uk-alert)
          p= instructionsError
      else if instructions
        ol
          each instruction in instructions
            li.instructions-list__list-item= instruction.specification
    else
      div(uk-alert)
        h3 That recipe doesn't exist
        p Why don't you go and #[a(href="/recipes/new") make one]!
